org.firebirdsql.gds.ng.wire.crypt.arc4

## Class Arc4EncryptionPlugin

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.arc4.Arc4EncryptionPlugin

All Implemented Interfaces:
  EncryptionPlugin

    public final class Arc4EncryptionPlugin
    extends java.lang.Object
    implements EncryptionPlugin

ARC4 encryption plugin (the wire encryption provided out-of-the-box in Firebird 3).

Since:
  4.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`Arc4EncryptionPlugin(ClientAuthBlock clientAuthBlock)`

### Method Summary

Methods
`EncryptionIdentifier` `getEncryptionIdentifier()`
`EncryptionInitInfo` `initializeEncryption()` Initializes the encryption for in-going and outgoing communication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arc4EncryptionPlugin

    public Arc4EncryptionPlugin(ClientAuthBlock clientAuthBlock)

### Method Detail

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

Specified by:
  `getEncryptionIdentifier` in interface `EncryptionPlugin`
Returns:
  Encryption identifier

#### initializeEncryption

    public EncryptionInitInfo initializeEncryption()

Description copied from interface: `EncryptionPlugin`
Initializes the encryption for in-going and outgoing communication.

Specified by:
  `initializeEncryption` in interface `EncryptionPlugin`
Returns:
  Object with the result of initialization